namespace IRF.ConsoleGuessGame
{
    using System;

    public enum GuessResult
    {
        TooLow,
        TooHigh,
        Success,
        WrongInput
    }

    internal class GuessGame
    {        
        private int secretNumber;
        private Random random = new Random();
        
        public GuessGame(string sessionName)
        {
            this.SessionName = sessionName;
            this.NewRound();
        }

        public string SessionName { get; private set; }

        public void NewRound()
        {
            this.secretNumber = this.random.Next(100);
        }

        public GuessResult Guess(int guess)
        {
            GuessResult result = GuessResult.WrongInput;

            if (guess < 0 || guess > 100)
            {
                result = GuessResult.WrongInput;
            }
            else
            {                
                if (guess < this.secretNumber)
                {
                    result = GuessResult.TooLow;
                }

                if (guess > this.secretNumber)
                {
                    result = GuessResult.TooHigh;
                }

                if (guess == this.secretNumber)
                {
                    result = GuessResult.Success;
                }
            }

            return result;
        }
    }
}
